cURL
curl --request GET \
--url https://api.brightdata.com/api/{PARTNER_NAME}/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 1,
"page": 1,
"pages": 1,
"per_page": 1,
"customers": [
{
"id": "ex_7f531897",
"start": "2024-05-02T00:00:00.000Z",
"active": true,
"zone": "dedicated_dc"
}
]
}Reseller API
Get customers
Use the Bright Data Reseller API to get Customers. GET /api//customers returns a 200 OK JSON response for the requested action.
GET
/
api
/
{PARTNER_NAME}
/
customers
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Query Parameters
can be 0, 1 or empty.
If 0 - return only not active customers.
If 1 - only active.
If empty - return all.
Available options:
0, 1, null max amount of account to return on 1 page
number of the page to return
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?